# $Revision: 1.4 $, $Date: 2002/09/20 19:18:28 $
Summary:	MrProject library engine
Summary(pl):	Biblioteka projektu MrProject
Name:		libmrproject
Version:	0.6
Release:	2
License:	GPL
Group:		Libraries
Source0:	ftp://ftp.codefactory.se/pub/software/mrproject/source/%{name}-%{version}.tar.gz
URL:		http://mrproject.codefactory.se/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel
BuildRequires:	gtk-doc >= 0.9-2
BuildRequires:	libxml2-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MrProject library engine.

%description -l pl
Biblioteka projektu MrProject.

%package devel
Summary:	Header files for MrProject library
Summary(pl):	Pliki nagwkowe biblioteki projektu MrProject
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	glib2-devel

%description devel
Header files for MrProject library.

%description devel -l pl
Pliki nagwkowe biblioteki projektu MrProject.

%package static
Summary:	Static MrProject library
Summary(pl):	Biblioteki statyczne projektu MrProject
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static MrProject library.

%description static -l pl
Biblioteki statyczne projektu MrProject.

%prep
%setup -q

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) %{_libdir}/*.so.*
%dir %{_libdir}/mrproject
%attr(755,root,root) %{_libdir}/mrproject/storage-modules/*.so
%attr(755,root,root) %{_libdir}/mrproject/storage-modules/*.la

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%attr(755,root,root) %{_libdir}/*.la
%{_includedir}/*
%{_pkgconfigdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a
%attr(755,root,root) %{_libdir}/mrproject/storage-modules/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libmrproject.spec,v $
Revision 1.4  2002/09/20 19:18:28  kloczek
- added regenerate ac/am suit and few minor changes.

Revision 1.3  2002/09/20 10:24:15  wrobell
- rel. 2

Revision 1.2  2002/09/20 10:22:21  wrobell
- ldconfig in post/postun sections

Revision 1.1  2002/09/19 13:57:06  wrobell
- based on template

